PHP Manual
Prev |  | Next

# imageloadfont

(PHP 3, PHP 4, PHP 5)

imageloadfont -- Load a new font

## Description

int imageloadfont ( string file )

imageloadfont() loads a user-defined bitmap and returns its identifier.

## Parameters

`file`

  The font file format is currently binary and architecture dependent. This means you should generate the font files on the same type of CPU as the machine you are running PHP on.

  Table 1. Font file format

  byte position | C data type | description
  --- | --- | ---
  byte 0-3 | int | number of characters in the font
  byte 4-7 | int | value of first character in the font (often 32 for space)
  byte 8-11 | int | pixel width of each character
  byte 12-15 | int | pixel height of each character
  byte 16- | char | array with character data, one byte per pixel in each character, for a total of (nchars*width*height) bytes.

## Return Values

The font identifier which is always biigger than 5 to avoid conflicts with built-in fonts or `FALSE` on errors.

## Examples

Example 1. Using imageloadfont

`<?php header("Content-type: image/png"); $im = imagecreatetruecolor(50, 20); $black = imagecolorallocate($im, 0, 0, 0); $white = imagecolorallocate($im, 255, 255, 255); imagefilledrectangle($im, 0, 0, 49, 19, $white); $font = imageloadfont("04b.gdf"); imagestring($im, $font, 0, 0, "Hello", $black); imagepng($im); ?>`

## See Also

imagefontwidth()
imagefontheight()

Prev | Home | Next
imageline | Up | imagepalettecopy